summaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-push-bits-through-proxy
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-push-bits-through-proxy')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-push-bits-through-proxy22
1 files changed, 22 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-push-bits-through-proxy b/framework/src/onos/tools/test/bin/onos-push-bits-through-proxy
new file mode 100755
index 00000000..1ec7107c
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-push-bits-through-proxy
@@ -0,0 +1,22 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Remotely pushes bits to all remote nodes in preparation for install.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+OCT=${OCT:-$OCI}
+node=${1:-$OCT}
+remote=$ONOS_USER@$node
+shift
+
+echo "Pushing to proxy $node..."
+onos-push-bits $node
+
+others=$(env | sort | egrep "OC[0-9]+" | cut -d= -f2 | grep -v $OCT)
+
+for other in $others; do
+ echo "Pushing to $other..."
+ ssh $remote "scp $ONOS_TAR $ONOS_USER@$other:$ONOS_TAR"
+done